Go to the first, previous, next, last section, table of contents.

### `type`

`type(obj)`
  :: Returns an integer which identifies the type of the object obj in question.

return
  integer
obj
  arbitrary

- Current assignment of integers for object types is listed below.
  `0`
    0
  `1`
    number
  `2`
    polynomial (not number)
  `3`
    rational expression (not polynomial)
  `4`
    list
  `5`
    vector
  `6`
    matrix
  `7`
    string
  `8`
    structure
  `9`
    distributed polynomial
  `10`
    32bit unsigned integer
  `11`
    error object
  `12`
    matrix over GF(2)
  `13`
    MATHCAP object
  `14`
    first order formula
  `-1`
    VOID object
- For further classification of number, use `ntype()`. For further classification of variable, use `vtype()`.

`References`
  section `ntype`, section `vtype`.

Go to the first, previous, next, last section, table of contents.